org.apache.poi.xssf.model

## Enum ThemesTable.ThemeElement

- java.lang.Object
- - java.lang.Enum<ThemesTable.ThemeElement>
  - - org.apache.poi.xssf.model.ThemesTable.ThemeElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ThemesTable.ThemeElement>
  Enclosing class:
    ThemesTable

      public static enum ThemesTable.ThemeElement
      extends java.lang.Enum<ThemesTable.ThemeElement>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT1`
    `ACCENT2`
    `ACCENT3`
    `ACCENT4`
    `ACCENT5`
    `ACCENT6`
    `DK1`
    `DK2`
    `FOLHLINK`
    `HLINK`
    `LT1`
    `LT2`
    `UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `idx`
    `java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThemesTable.ThemeElement` | `byId(int idx)`
    `static ThemesTable.ThemeElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ThemesTable.ThemeElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LT1

          public static final ThemesTable.ThemeElement LT1

    - #### DK1

          public static final ThemesTable.ThemeElement DK1

    - #### LT2

          public static final ThemesTable.ThemeElement LT2

    - #### DK2

          public static final ThemesTable.ThemeElement DK2

    - #### ACCENT1

          public static final ThemesTable.ThemeElement ACCENT1

    - #### ACCENT2

          public static final ThemesTable.ThemeElement ACCENT2

    - #### ACCENT3

          public static final ThemesTable.ThemeElement ACCENT3

    - #### ACCENT4

          public static final ThemesTable.ThemeElement ACCENT4

    - #### ACCENT5

          public static final ThemesTable.ThemeElement ACCENT5

    - #### ACCENT6

          public static final ThemesTable.ThemeElement ACCENT6

    - #### HLINK

          public static final ThemesTable.ThemeElement HLINK

    - #### FOLHLINK

          public static final ThemesTable.ThemeElement FOLHLINK

    - #### UNKNOWN

          public static final ThemesTable.ThemeElement UNKNOWN

  - ### Field Detail

    - #### idx

          public final int idx

    - #### name

          public final java.lang.String name

  - ### Method Detail

    - #### values

          public static ThemesTable.ThemeElement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ThemesTable.ThemeElement c : ThemesTable.ThemeElement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ThemesTable.ThemeElement valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### byId

          public static ThemesTable.ThemeElement byId(int idx)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.